Package org.apache.qpid.proton.codec

# Class StringType

java.lang.Object
org.apache.qpid.proton.codec.StringType

All Implemented Interfaces:
  `AMQPType<String>`, `PrimitiveType<String>`

public class StringType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`StringType.StringEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<StringType.StringEncoding>`
`getAllEncodings()`
`StringType.StringEncoding`
`getCanonicalEncoding()`
`StringType.StringEncoding`
`getEncoding(String val)`
`Class<String>`
`getTypeClass()`
`final void`
`write(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<String> getTypeClass()

### getEncoding

public StringType.StringEncoding getEncoding(String val)

### getCanonicalEncoding

public StringType.StringEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<StringType.StringEncoding> getAllEncodings()

### write

public final void write(String val)

Specified by:
  `write` in interface `AMQPType<T>`